#include<bits/stdc++.h>

using namespace std;
long long i,t,a,b,res,j,br;
string s;

int main(){

   cin >> s;
   cin >> t;
   for(j=1; j<=t; j++){
    res=0;
     cin >> a >> b;
     for(i=a; i<b; i++){
        if(s[i-1]!=s[i] && s[i-1] != s[i]-1 && br!=1){
                res++;
                br=1;
        }
        else br=0;
     }
     cout << res+1 << endl;
   }
    return 0;
}

